XMLParser (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.parsers

## Class XMLParser

- java.lang.Object
- - org.apache.xerces.parsers.XMLParser

- Direct Known Subclasses:
    AbstractXMLDocumentParser, XMLGrammarParser

      public abstract class XMLParser
      extends java.lang.Object

  Base class of all XML-related parsers.

  In addition to the features and properties recognized by the parser configuration, this parser recognizes these additional features and properties:

  - Properties
    - http://apache.org/xml/properties/internal/error-handler
    - http://apache.org/xml/properties/internal/entity-resolver
  Version:
    $Id: XMLParser.java 699985 2008-09-29 04:29:03Z mrglavas $
  Author:
    Arnaud Le Hors, IBM, Andy Clark, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ENTITY_RESOLVER` Property identifier: entity resolver.
    `protected static java.lang.String` | `ERROR_HANDLER` Property identifier: error handler.
    `protected org.apache.xerces.xni.parser.XMLParserConfiguration` | `fConfiguration` The parser configuration.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMLParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)` Default Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)` parse
    `protected void` | `reset()` reset all components before parsing

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENTITY_RESOLVER

          protected static final java.lang.String ENTITY_RESOLVER

      Property identifier: entity resolver.
      See Also:
        Constant Field Values

    - #### ERROR_HANDLER

          protected static final java.lang.String ERROR_HANDLER

      Property identifier: error handler.
      See Also:
        Constant Field Values

    - #### fConfiguration

          protected final org.apache.xerces.xni.parser.XMLParserConfiguration fConfiguration

      The parser configuration.

  - ### Constructor Detail

    - #### XMLParser

          protected XMLParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)

      Default Constructor.

  - ### Method Detail

    - #### parse

          public void parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)
                     throws org.apache.xerces.xni.XNIException,
                            java.io.IOException

      parse
      Parameters:
        `inputSource` -
      Throws:
        `org.apache.xerces.xni.XNIException`
        `java.io.IOException`

    - #### reset

          protected void reset()
                        throws org.apache.xerces.xni.XNIException

      reset all components before parsing
      Throws:
        `org.apache.xerces.xni.XNIException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.